commit:     2be529d6dbf4e40185587c70fbdbed21e3fba7cf
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 23 23:03:03 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Oct 23 23:26:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2be529d6

dev-python/owslib: 0.20.0 version bump, python3_9

Closes: https://bugs.gentoo.org/727602
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-python/owslib/Manifest                         |  1 +
 .../files/owslib-0.20.0-no-privacybreach.patch     | 41 +++++++++++++++++++++
 dev-python/owslib/owslib-0.20.0.ebuild             | 42 ++++++++++++++++++++++
 3 files changed, 84 insertions(+)

diff --git a/dev-python/owslib/Manifest b/dev-python/owslib/Manifest
index 3a2e91c33f7..998270185a2 100644
--- a/dev-python/owslib/Manifest
+++ b/dev-python/owslib/Manifest
@@ -1 +1,2 @@
 DIST owslib-0.17.1.tar.gz 898961 BLAKE2B 
e48b10a0bd9dc1e85588b8007261c47f9f754af9eeb7292d4a3fd9ce017309efbe0fc9951a42470a6938194e5903b12ffe286b140d906e1d281f5a2f739540ce
 SHA512 
0772f7698d1d5c6989419a455e8b6d97b0fc9f04a48275b1179f5bcc0fe782620721e840969281941b0f0a3616d8220916090256bb177eff1b2a4df0e02e2caa
+DIST owslib-0.20.0.tar.gz 912319 BLAKE2B 
9f6e44f76554d67756839bfad1cdce6e2e7a4db6c3517ed308256745a3ea1df77488718f307bcd59dfcae7bab7801ba1974131f358db1bd070846640ccf08ada
 SHA512 
c30e14d0a310617d2dbcca436f38d4a942b8c5efb96506554e650b20b34580fd0119ae6bf17892bb09ceff7141b9cbfd32deb582d14d81b6518dbbc223116d07

diff --git a/dev-python/owslib/files/owslib-0.20.0-no-privacybreach.patch 
b/dev-python/owslib/files/owslib-0.20.0-no-privacybreach.patch
new file mode 100644
index 00000000000..45bcb8b38d1
--- /dev/null
+++ b/dev-python/owslib/files/owslib-0.20.0-no-privacybreach.patch
@@ -0,0 +1,41 @@
+Description: Fix privacy breaches.
+Author: Johan Van de Wauw <[email protected]>
+
+--- a/docs/en/index.rst
++++ b/docs/en/index.rst
+@@ -5,11 +5,7 @@ OWSLib |release| documentation
+ .. toctree::
+    :maxdepth: 2
+ 
+-.. image:: https://www.openhub.net/p/owslib/widgets/project_partner_badge.gif
+-   :width: 193px
+-   :height: 33px
+-   :alt: OWSLib
+-   :target: https://www.openhub.net/p/owslib?ref=WidgetProjectPartnerBadge
++`OpenHUB <https://www.openhub.net/p/owslib?ref=WidgetProjectPartnerBadge>`_
+ 
+ :Author: Tom Kralidis
+ :Contact: tomkralidis at gmail.com
+--- a/docs/_templates/layout.html
++++ b/docs/_templates/layout.html
+@@ -3,20 +3,6 @@
+ {%- block extrahead %}
+ {{ super() }}
+ 
+-<script type="text/javascript">
+-
+-  var _gaq = _gaq || [];
+-  _gaq.push(['_setAccount', 'UA-32866201-1']);
+-  _gaq.push(['_trackPageview']);
+-
+-  (function() {
+-    var ga = document.createElement('script'); ga.type = 'text/javascript'; 
ga.async = true;
+-    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 
'http://www') + '.google-analytics.com/ga.js';
+-    var s = document.getElementsByTagName('script')[0]; 
s.parentNode.insertBefore(ga, s);
+-  })();
+-
+-</script>
+-
+ {% endblock %}
+ 
+ {% block relbar1 %}

diff --git a/dev-python/owslib/owslib-0.20.0.ebuild 
b/dev-python/owslib/owslib-0.20.0.ebuild
new file mode 100644
index 00000000000..a901ed6ac69
--- /dev/null
+++ b/dev-python/owslib/owslib-0.20.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Library for client programming with Open Geospatial Consortium 
web service"
+HOMEPAGE="https://geopython.github.io/OWSLib";
+SRC_URI="https://github.com/geopython/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+S="${WORKDIR}/OWSLib-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       dev-python/lxml[${PYTHON_USEDEP}]
+       dev-python/pyproj[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pillow[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+RESTRICT="test" # tests require WAN access
+
+PATCHES=( "${FILESDIR}/${P}-no-privacybreach.patch" )
+
+python_test() {
+       "${EPYTHON}" "${S}/setup.py" test || die
+}

Reply via email to